package com.wzj.soopin.transaction.enums.easypay;

import java.io.IOException;

/**
 * 交易限制支付类型
 */
public enum WxLimitPay {
    NO_CREDIT;

    public String toValue() {
        if (this == WxLimitPay.NO_CREDIT) {
            return "no_credit";
        }
        return null;
    }

    public static WxLimitPay forValue(String value) throws IOException {
        if (value.equals("no_credit")) {
            return NO_CREDIT;
        }
        throw new IOException("Cannot deserialize WxLimitPay");
    }
}
